image: freebsd/13.x
packages:
- - coreutils
+ - cmocka
+ - libgcrypt
+ - liblz4
+ - lzo2
- meson
- pkgconf
- - openssl
- - lzo2
- - liblz4
- - ncurses
- - miniupnpc
- - readline
- texinfo
- vde2
- - libgcrypt
- - cmocka
sources:
- https://github.com/gsliepen/tinc
-tasks:
- - configure: |
- cd tinc
- meson setup build -Dpkg_config_path=/usr/local/lib/pkgconfig
+environment:
+ PKG_CONFIG_PATH: /usr/local/libdata/pkgconfig
- - build: |
- cd tinc
- ninja -C build
-
- - test: |
- cd tinc
- meson test -C build --verbose
+tasks:
+ - openssl: sh tinc/.ci/bsd/run.sh openssl
+ - nolegacy: sh tinc/.ci/bsd/run.sh nolegacy
+ - gcrypt: sh tinc/.ci/bsd/run.sh gcrypt
image: netbsd/9.x
packages:
- - meson
- - pkgconf
- - openssl
- - lzo
+ - cmocka
+ - gtexinfo
+ - libgcrypt
- lz4
+ - lzo
+ - meson
- miniupnpc
- - readline
- - gtexinfo
- - cmocka
+ - pkgconf
sources:
- https://github.com/gsliepen/tinc
-tasks:
- - configure: |
- cd tinc
- meson setup build -Dpkg_config_path=/usr/pkg/lib/pkgconfig -Dminiupnpc=auto
-
- - build: |
- cd tinc
- ninja -C build
+environment:
+ PKG_CONFIG_PATH: /usr/pkg/lib/pkgconfig
- - test: |
- cd tinc
- meson test -C build --verbose
+tasks:
+ - openssl: sh tinc/.ci/bsd/run.sh openssl
+ - nolegacy: sh tinc/.ci/bsd/run.sh nolegacy
+ - gcrypt: sh tinc/.ci/bsd/run.sh gcrypt
image: openbsd/7.0
packages:
- - meson
- - pkgconf
- - lzo2
+ - cmocka
+ - libgcrypt
- lz4
+ - lzo2
+ - meson
- miniupnpc
- - readline
+ - pkgconf
- texinfo
- - cmocka
sources:
- https://github.com/gsliepen/tinc
tasks:
- - configure: |
- cd tinc
- meson setup build -Dminiupnpc=auto
-
- - build: |
- cd tinc
- ninja -C build
-
- - test: |
- cd tinc
- meson test -C build --verbose
+ - openssl: sh tinc/.ci/bsd/run.sh openssl
+ - nolegacy: sh tinc/.ci/bsd/run.sh nolegacy
+ - gcrypt: sh tinc/.ci/bsd/run.sh gcrypt
--- /dev/null
+#!/bin/sh
+
+set -eu
+
+flavor=$1
+
+cd tinc
+
+meson setup "$flavor" -D crypto="$flavor" -D miniupnpc=auto
+
+meson test -C "$flavor" --verbose
if not dep_readline.found()
dep_readline = cc.find_library('readline', required: opt_readline, static: static)
endif
+ if not dep_readline.found()
+ dep_readline = cc.find_library('libedit', required: opt_readline, static: static)
+ endif
if dep_readline.found() and \
cc.has_header('readline/readline.h', dependencies: dep_readline) and \
cc.has_header('readline/history.h', dependencies: dep_readline)